package com.bsz.school_send_back_end.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 订单表
 * @TableName orders
 */
@TableName(value ="orders")
@Data
public class Orders implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 取餐码
     */
    private String pickupCode;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 下单用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 订单实际总价
     */
    private BigDecimal totalPrice;

    /**
     * 取餐方式(0堂食 1自提)
     */
    private Integer pickupMethod;

    /**
     * 支付方式：0微信支付
     */
    private Integer payMethod;

    /**
     * 取餐时间
     */
    private Date pickupTime;

    /**
     * 备注
     */
    private String notes;

    /**
     * 订单状态:0未支付 1已完成 2已退款 3已取消
     */
    private Integer state;

    /**
     * 下单时间
     */
    private Date createTime;

    /**
     * 支付时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}