package com.bsz.school_send_back_end.model.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 订单视图
 */
@Data
public class OrdersVO implements Serializable {
    /**
     * id
     */
    private Long id;

    /**
     * 取餐码
     */
    private String pickupCode;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 下单用户id
     */
    private Long userId;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 商家信息
     */
    private BusinessVO businessVO;

    /**
     * 订单实际总价
     */
    private BigDecimal totalPrice;

    /**
     * 取餐方式(0堂食 1自提)
     */
    private Integer pickupMethod;

    /**
     * 支付方式
     */
    private Integer payMethod;

    /**
     * 取餐时间
     */
    private String pickupTime;

    /**
     * 备注
     */
    private String notes;

    /**
     * 订单状态:0未支付 1已完成 2已取消
     */
    private Integer state;

    /**
     * 下单时间
     */
    private Date createTime;

    /**
     * 支付时间
     */
    private Date updateTime;

    /**
     * 商品数量
     */
    private Integer number;

    /**
     * 订单详情
     */
    private List<OrderDetailsVO> orderDetailsVOList;



    @Serial
    private static final long serialVersionUID = 1L;
}