package com.bsz.school_send_back_end.scheduler;

import com.bsz.school_send_back_end.model.domain.Business;
import com.bsz.school_send_back_end.service.BusinessLevelService;
import com.bsz.school_send_back_end.service.BusinessService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

@Component
@Slf4j
public class UpdateBusiness {
    @Resource
    private BusinessService businessService;

    @Resource
    private BusinessLevelService businessLevelService;

    @Scheduled(cron = "0 0 0 * * ?")
    public void updateBusinessLevels() {
        List<Business> list = businessService.list();
        for (Business business : list) {
            businessLevelService.updateBusinessLevel(business.getId());
        }
        log.info("更新时间：" + new Date());
    }
}
