package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.Cart;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.dto.cart.CartAddRequest;
import com.bsz.school_send_back_end.model.dto.cart.CartUpdateRequest;
import com.bsz.school_send_back_end.model.vo.CartVO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
* @author pc
* @description 针对表【cart(购物车表)】的数据库操作Service
* @createDate 2024-08-13 13:59:13
*/
public interface CartService extends IService<Cart> {

    /**
     * 校验
     */
    void validCart(CartAddRequest cartAddRequest);

    /**
     * 添加菜品
     */
    Long addCart (CartAddRequest cartAddRequest, HttpServletRequest request);

    /**
     * 更新购物车菜品
     */
    Boolean updateCart(CartUpdateRequest cartUpdateRequest, HttpServletRequest request);

    /**
     * 删除购物车菜品
     */
    Boolean deleteCart(Long cartId, HttpServletRequest request);

}
