package com.bsz.school_send_back_end.service;

import com.bsz.school_send_back_end.model.domain.Collect;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bsz.school_send_back_end.model.dto.cart.CartAddRequest;
import com.bsz.school_send_back_end.model.dto.collect.CollectAddRequest;
import com.bsz.school_send_back_end.model.vo.BusinessVO;
import com.bsz.school_send_back_end.model.vo.CollectVO;

import javax.servlet.http.HttpServletRequest;
import java.net.http.HttpClient;
import java.util.List;

/**
* @author pc
* @description 针对表【collect】的数据库操作Service
* @createDate 2024-11-12 19:19:50
*/
public interface CollectService extends IService<Collect> {

    /**
     * 校验
     */
    void validCollect(CollectAddRequest collectAddRequest);

    /**
     * 添加收藏
     */
    Boolean addCollect(Collect collect, HttpServletRequest request);

    /**
     * 根据收藏获取商家信息列表
     */
    List<CollectVO> getCollectList(HttpServletRequest request);

}
